明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 217|回复: 18

[提问] 如下程序,目的是删除除你好* 和我好*图层以外的所有图层上的图元,如何修改

[复制链接]
发表于 2018-10-6 15:05 | 显示全部楼层 |阅读模式
本帖最后由 664571221 于 2018-10-7 10:52 编辑

如何在程序里面加上我好*的图层,删除除了你好*和我好*以外的所有图层上的图元
(defun c:xx ( / ss)
  (if (or
        (setq ss (ssget "_P" '((8 . "~你好*"))))
        (ssget '((8 . "~你好*")))
      )
    (command ".erase" ss "")
  )
)

发表于 2018-10-6 15:14 | 显示全部楼层
看看 wcmatch 函数有无您想要的组合
 楼主| 发表于 2018-10-6 15:17 | 显示全部楼层
Andyhon 发表于 2018-10-6 15:14
看看 wcmatch 函数有无您想要的组合

你好大神,我不太懂程序
发表于 2018-10-6 16:07 来自手机 | 显示全部楼层
这还用写程序吗?CAD完全可以做到的,太依赖程序了吧
发表于 2018-10-6 20:05 | 显示全部楼层
'((8 . "~你好*,~我好*"))试试这样可以么?
发表于 2018-10-7 10:33 | 显示全部楼层
本帖最后由 fangmin723 于 2018-10-7 10:40 编辑

删掉图层的话有点麻烦,首先要看看图层上是否有图元,如果有图元是删不掉的,删除图元的话很简单!
 楼主| 发表于 2018-10-7 10:39 | 显示全部楼层
fangmin723 发表于 2018-10-7 10:33
(defun c:xx ( / ss)
  (if (setq ss (ssget "_P" (list  '(8 . "~你好*,~我好*"))))
    (command ".era ...

你好,好像不行,吧全部图层都删除了
发表于 2018-10-7 10:40 | 显示全部楼层
664571221 发表于 2018-10-7 10:39
你好,好像不行,吧全部图层都删除了

删掉图层的话有点麻烦,首先要看看图层上是否有图元,如果有图元是删不掉的,删除图元的话很简单!
 楼主| 发表于 2018-10-7 10:44 | 显示全部楼层
fangmin723 发表于 2018-10-7 10:40
删掉图层的话有点麻烦,首先要看看图层上是否有图元,如果有图元是删不掉的,删除图元的话很简单!

嗯 就是删除图层上的图元,删除除了这两个图层以外的所有图元
 楼主| 发表于 2018-10-7 10:45 | 显示全部楼层
664571221 发表于 2018-10-7 10:44
嗯 就是删除图层上的图元,删除除了这两个图层以外的所有图元

不是吧图层删除,就是删除这两个图层外的图层上的图元
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-10-16 18:54 , Processed in 0.223671 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表